/*
 * MoGraSo: A programme for the calculation of the response of fibre grating
 * elements using modal methods.
 *
 * MoGraSo Copyright (C) 2007 Hannes Hochreiner <hannes@hochreiner.net>
 *
 * This file is part of MoGraSo.
 *
 * MoGraSo is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * MoGraSo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * MoGraSo.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef _SECTIONSOLVER_H
#define _SECTIONSOLVER_H 1

#include <complex>

#include "matrix_template.h"

//! Interface class for the section solver
template <class numT>
class sectionSolver
{		
	public:
		//! Pure virtual function taking the initial amplitudes of the modes and return the amplitudes after the section
		virtual matrix<std::complex<numT> > amplitudes(const matrix<std::complex<numT> >& initialAmplitudes) = 0;
};
#endif

