/*
 * MoGraSo: A programme for the calculation of the response of fibre grating
 * elements using modal methods.
 *
 * MoGraSo Copyright (C) 2007 Hannes Hochreiner <hannes@hochreiner.net>
 *
 * This file is part of MoGraSo.
 *
 * MoGraSo is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * MoGraSo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * MoGraSo.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
//#include <iostream>
#include <string>
#include "XMLFile.h"

int main()
{
	XMLFile file(L"testXMLFile.xml");
	std::map<std::wstring, std::wstring> namespaces;
	namespaces[L"mograso"] = L"http://www.hochreiner.net/mograso.rng";

	XPathObject obj1 = file.XPathQuery(L"//mograso:layer", L"mograso", L"http://www.hochreiner.net/mograso.rng");

	if (obj1.get_numberOfNodes() != 3)
		return EXIT_FAILURE;

	XPathObject obj2 = file.XPathQuery(L"//mograso:layer/mograso:radius", L"mograso", L"http://www.hochreiner.net/mograso.rng");
	
	if (obj2.get_numberOfNodes() != 3)
		return EXIT_FAILURE;
	
	if (obj2.get_node(0).get_string() != L"  4.1e-6")
		return EXIT_FAILURE;

	if (obj2.get_node(1).get_string() != L"62.5e-6 ")
		return EXIT_FAILURE;

	if (obj2.get_node(2).get_string() != L"  100.0e-6  ")
		return EXIT_FAILURE;

	XPathObject obj3 = file.XPathQuery(L"//mograso:job", L"mograso", L"http://www.hochreiner.net/mograso.rng");

	if (obj3.get_node(0).get_property(L"type") != L"spectrum")
		return EXIT_FAILURE;

//	std::cout << "success!\n";

	return EXIT_SUCCESS;
}

