/*
 * MoGraSo: A programme for the calculation of the response of fibre grating
 * elements using modal methods.
 *
 * MoGraSo Copyright (C) 2007 Hannes Hochreiner <hannes@hochreiner.net>
 *
 * This file is part of MoGraSo.
 *
 * MoGraSo is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * MoGraSo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * MoGraSo.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef _VARIABLESTANDIN_H
#define _VARIABLESTANDIN_H

#include "stringFunctions.h"

class variableStandIn
{
	private:
		std::wstring f_type;
		std::wstring f_name;
		std::complex<double> f_value;
		std::complex<double> f_start;
		std::complex<double> f_end;
		std::complex<double> f_step;
		std::wstring f_stepType;
		std::wstring f_prefix;
		std::wstring f_suffix;

	public:
		variableStandIn(const std::wstring& type);
		variableStandIn(const variableStandIn& layerSI);
		variableStandIn(const std::wstring& name, const std::wstring& prefix, const std::wstring& suffix, const std::complex<double>& value, const std::complex<double>& start, const std::complex<double>& end, const std::complex<double>& step, const std::complex<double>& numberOfSteps);
		std::wstring get_varString(const std::wstring& var) const;
		void set_varString(const std::wstring& varName, const std::wstring& varValue);
		void set_var(const std::wstring& varName, const std::complex<double>& varValue);
		std::wstring get_valueString() const;
		std::wstring get_type() const;
		std::wstring get_name() const;
		std::wstring get_prefix() const;
		std::wstring get_suffix() const;
		std::wstring get_stepType() const;
		std::complex<double> get_value() const;
		std::complex<double> get_start() const;
		std::complex<double> get_end() const;
		std::complex<double> get_step() const;

	private:
		variableStandIn();
};

#endif

