/*
 * MoGraSo: A programme for the calculation of the response of fibre grating
 * elements using modal methods.
 *
 * MoGraSo Copyright (C) 2007 Hannes Hochreiner <hannes@hochreiner.net>
 *
 * This file is part of MoGraSo.
 *
 * MoGraSo is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * MoGraSo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * MoGraSo.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef _HH_CONJBESSELPRODUCTXRINT
#define _HH_CONJBESSELPRODUCTXRINT 1

#include <complex>
#include "bessel_amos.h"

std::complex<double> conjBesselProductXrInt(const double& order, const bessel_type& type1, const std::complex<double>& argPart1, const bessel_type& type2, const std::complex<double>& argPart2, const double& rStart, const double& rEnd);

#endif
