/*
 * MoGraSo: A programme for the calculation of the response of fibre grating
 * elements using modal methods.
 *
 * MoGraSo Copyright (C) 2007 Hannes Hochreiner <hannes@hochreiner.net>
 *
 * This file is part of MoGraSo.
 *
 * MoGraSo is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * MoGraSo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * MoGraSo.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef _STRINGFUNCTIONS_H
#define _STRINGFUNCTIONS_H 1

#include <string>
#include <sstream>
#include <vector>
#include <complex>

std::string wstos(std::wstring str);
std::wstring stows(std::string str);
std::vector<std::wstring> tokenise(const std::wstring& str, const wchar_t& token);
std::wstring complexDoubleToWString(const std::complex<double>& num, const int& precision = -1);
std::complex<double> wstringToComplexDouble(const std::wstring& input);
std::string seconds_to_string(double seconds);
std::wstring trim(const std::wstring& str);

#endif

